## mingw-w64-aws-sdk-cpp-1.11.396-1.src.tar.zst

=== generated/src/aws-cpp-sdk-applicationcostprofiler/CMakeLists.txt ===
add_project(aws-cpp-sdk-applicationcostprofiler "C++ SDK for the AWS applicationcostprofiler service" aws-cpp-sdk-core)

file(GLOB AWS_APPLICATIONCOSTPROFILER_HEADERS
    "include/aws/applicationcostprofiler/*.h"
)

file(GLOB AWS_APPLICATIONCOSTPROFILER_MODEL_HEADERS
    "include/aws/applicationcostprofiler/model/*.h"
)

file(GLOB AWS_APPLICATIONCOSTPROFILER_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_APPLICATIONCOSTPROFILER_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB APPLICATIONCOSTPROFILER_UNIFIED_HEADERS
    ${AWS_APPLICATIONCOSTPROFILER_HEADERS}
    ${AWS_APPLICATIONCOSTPROFILER_MODEL_HEADERS}
)

file(GLOB APPLICATIONCOSTPROFILER_UNITY_SRC
    ${AWS_APPLICATIONCOSTPROFILER_SOURCE}
    ${AWS_APPLICATIONCOSTPROFILER_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("APPLICATIONCOSTPROFILER" APPLICATIONCOSTPROFILER_UNITY_SRC)
endif()

file(GLOB APPLICATIONCOSTPROFILER_SRC
    ${APPLICATIONCOSTPROFILER_UNIFIED_HEADERS}
    ${APPLICATIONCOSTPROFILER_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\applicationcostprofiler" FILES ${AWS_APPLICATIONCOSTPROFILER_HEADERS})
        source_group("Header Files\\aws\\applicationcostprofiler\\model" FILES ${AWS_APPLICATIONCOSTPROFILER_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_APPLICATIONCOSTPROFILER_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_APPLICATIONCOSTPROFILER_MODEL_SOURCE})
    endif(MSVC)
endif()

set(APPLICATIONCOSTPROFILER_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${APPLICATIONCOSTPROFILER_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_APPLICATIONCOSTPROFILER_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_APPLICATIONCOSTPROFILER_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/applicationcostprofiler)
install (FILES ${AWS_APPLICATIONCOSTPROFILER_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/applicationcostprofiler/model)

do_packaging()

=== generated/src/aws-cpp-sdk-apptest/CMakeLists.txt ===
add_project(aws-cpp-sdk-apptest "C++ SDK for the AWS apptest service" aws-cpp-sdk-core)

file(GLOB AWS_APPTEST_HEADERS
    "include/aws/apptest/*.h"
)

file(GLOB AWS_APPTEST_MODEL_HEADERS
    "include/aws/apptest/model/*.h"
)

file(GLOB AWS_APPTEST_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_APPTEST_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB APPTEST_UNIFIED_HEADERS
    ${AWS_APPTEST_HEADERS}
    ${AWS_APPTEST_MODEL_HEADERS}
)

file(GLOB APPTEST_UNITY_SRC
    ${AWS_APPTEST_SOURCE}
    ${AWS_APPTEST_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("APPTEST" APPTEST_UNITY_SRC)
endif()

file(GLOB APPTEST_SRC
    ${APPTEST_UNIFIED_HEADERS}
    ${APPTEST_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\apptest" FILES ${AWS_APPTEST_HEADERS})
        source_group("Header Files\\aws\\apptest\\model" FILES ${AWS_APPTEST_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_APPTEST_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_APPTEST_MODEL_SOURCE})
    endif(MSVC)
endif()

set(APPTEST_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${APPTEST_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_APPTEST_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_APPTEST_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/apptest)
install (FILES ${AWS_APPTEST_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/apptest/model)

do_packaging()

=== generated/src/aws-cpp-sdk-backup/CMakeLists.txt ===
add_project(aws-cpp-sdk-backup "C++ SDK for the AWS backup service" aws-cpp-sdk-core)

file(GLOB AWS_BACKUP_HEADERS
    "include/aws/backup/*.h"
)

file(GLOB AWS_BACKUP_MODEL_HEADERS
    "include/aws/backup/model/*.h"
)

file(GLOB AWS_BACKUP_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_BACKUP_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB BACKUP_UNIFIED_HEADERS
    ${AWS_BACKUP_HEADERS}
    ${AWS_BACKUP_MODEL_HEADERS}
)

file(GLOB BACKUP_UNITY_SRC
    ${AWS_BACKUP_SOURCE}
    ${AWS_BACKUP_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("BACKUP" BACKUP_UNITY_SRC)
endif()

file(GLOB BACKUP_SRC
    ${BACKUP_UNIFIED_HEADERS}
    ${BACKUP_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\backup" FILES ${AWS_BACKUP_HEADERS})
        source_group("Header Files\\aws\\backup\\model" FILES ${AWS_BACKUP_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_BACKUP_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_BACKUP_MODEL_SOURCE})
    endif(MSVC)
endif()

set(BACKUP_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${BACKUP_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_BACKUP_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_BACKUP_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/backup)
install (FILES ${AWS_BACKUP_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/backup/model)

do_packaging()

=== generated/src/aws-cpp-sdk-braket/CMakeLists.txt ===
add_project(aws-cpp-sdk-braket "C++ SDK for the AWS braket service" aws-cpp-sdk-core)

file(GLOB AWS_BRAKET_HEADERS
    "include/aws/braket/*.h"
)

file(GLOB AWS_BRAKET_MODEL_HEADERS
    "include/aws/braket/model/*.h"
)

file(GLOB AWS_BRAKET_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_BRAKET_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB BRAKET_UNIFIED_HEADERS
    ${AWS_BRAKET_HEADERS}
    ${AWS_BRAKET_MODEL_HEADERS}
)

file(GLOB BRAKET_UNITY_SRC
    ${AWS_BRAKET_SOURCE}
    ${AWS_BRAKET_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("BRAKET" BRAKET_UNITY_SRC)
endif()

file(GLOB BRAKET_SRC
    ${BRAKET_UNIFIED_HEADERS}
    ${BRAKET_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\braket" FILES ${AWS_BRAKET_HEADERS})
        source_group("Header Files\\aws\\braket\\model" FILES ${AWS_BRAKET_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_BRAKET_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_BRAKET_MODEL_SOURCE})
    endif(MSVC)
endif()

set(BRAKET_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${BRAKET_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_BRAKET_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_BRAKET_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/braket)
install (FILES ${AWS_BRAKET_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/braket/model)

do_packaging()

=== generated/src/aws-cpp-sdk-ce/CMakeLists.txt ===
add_project(aws-cpp-sdk-ce "C++ SDK for the AWS ce service" aws-cpp-sdk-core)

file(GLOB AWS_CE_HEADERS
    "include/aws/ce/*.h"
)

file(GLOB AWS_CE_MODEL_HEADERS
    "include/aws/ce/model/*.h"
)

file(GLOB AWS_CE_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_CE_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB CE_UNIFIED_HEADERS
    ${AWS_CE_HEADERS}
    ${AWS_CE_MODEL_HEADERS}
)

file(GLOB CE_UNITY_SRC
    ${AWS_CE_SOURCE}
    ${AWS_CE_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("CE" CE_UNITY_SRC)
endif()

file(GLOB CE_SRC
    ${CE_UNIFIED_HEADERS}
    ${CE_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\ce" FILES ${AWS_CE_HEADERS})
        source_group("Header Files\\aws\\ce\\model" FILES ${AWS_CE_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_CE_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_CE_MODEL_SOURCE})
    endif(MSVC)
endif()

set(CE_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${CE_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_COSTEXPLORER_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_CE_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/ce)
install (FILES ${AWS_CE_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/ce/model)

do_packaging()

=== generated/src/aws-cpp-sdk-cloudfront-keyvaluestore/CMakeLists.txt ===
add_project(aws-cpp-sdk-cloudfront-keyvaluestore "C++ SDK for the AWS cloudfront-keyvaluestore service" aws-cpp-sdk-core)

file(GLOB AWS_CLOUDFRONT-KEYVALUESTORE_HEADERS
    "include/aws/cloudfront-keyvaluestore/*.h"
)

file(GLOB AWS_CLOUDFRONT-KEYVALUESTORE_MODEL_HEADERS
    "include/aws/cloudfront-keyvaluestore/model/*.h"
)

file(GLOB AWS_CLOUDFRONT-KEYVALUESTORE_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_CLOUDFRONT-KEYVALUESTORE_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB CLOUDFRONT-KEYVALUESTORE_UNIFIED_HEADERS
    ${AWS_CLOUDFRONT-KEYVALUESTORE_HEADERS}
    ${AWS_CLOUDFRONT-KEYVALUESTORE_MODEL_HEADERS}
)

file(GLOB CLOUDFRONT-KEYVALUESTORE_UNITY_SRC
    ${AWS_CLOUDFRONT-KEYVALUESTORE_SOURCE}
    ${AWS_CLOUDFRONT-KEYVALUESTORE_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("CLOUDFRONT-KEYVALUESTORE" CLOUDFRONT-KEYVALUESTORE_UNITY_SRC)
endif()

file(GLOB CLOUDFRONT-KEYVALUESTORE_SRC
    ${CLOUDFRONT-KEYVALUESTORE_UNIFIED_HEADERS}
    ${CLOUDFRONT-KEYVALUESTORE_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\cloudfront-keyvaluestore" FILES ${AWS_CLOUDFRONT-KEYVALUESTORE_HEADERS})
        source_group("Header Files\\aws\\cloudfront-keyvaluestore\\model" FILES ${AWS_CLOUDFRONT-KEYVALUESTORE_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_CLOUDFRONT-KEYVALUESTORE_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_CLOUDFRONT-KEYVALUESTORE_MODEL_SOURCE})
    endif(MSVC)
endif()

set(CLOUDFRONT-KEYVALUESTORE_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${CLOUDFRONT-KEYVALUESTORE_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_CLOUDFRONTKEYVALUESTORE_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_CLOUDFRONT-KEYVALUESTORE_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/cloudfront-keyvaluestore)
install (FILES ${AWS_CLOUDFRONT-KEYVALUESTORE_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/cloudfront-keyvaluestore/model)

do_packaging()

=== PKGBUILD ===
# Maintainer: Jeroen Ooms <jeroen@berkeley.edu>

_realname=aws-sdk-cpp
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=1.11.396
pkgrel=1
pkgdesc="AWS SDK for C++ (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://github.com/aws/aws-sdk-cpp"
msys2_references=(
  'archlinux: aws-sdk-cpp'
)
license=('spdx:Apache-2.0')
depends=("${MINGW_PACKAGE_PREFIX}-gcc-libs"
         "${MINGW_PACKAGE_PREFIX}-aws-c-common"
         "${MINGW_PACKAGE_PREFIX}-aws-c-event-stream"
         "${MINGW_PACKAGE_PREFIX}-aws-crt-cpp"
         "${MINGW_PACKAGE_PREFIX}-zlib")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-python")
source=("https://github.com/aws/aws-sdk-cpp/archive/${pkgver}/${_realname}-${pkgver}.tar.gz"
        "aws-sdk-cpp-pr-1333.patch"
        "0001-fix-dll-import-libary-folder.patch")
sha256sums=('249ca8f8e678b03a3b180e663bf67cc3148c1d59cae807232ef2d89d0c33a85c'
            '9eacf0b0bbe978ef69f14bbd0254c96018d3ca84835f1d08409f57ca9831edde'
            'ffa3b28970cce12ba24856d9245e2581c6cb4da7faf740377e99f6ef84bcffc4')

apply_patch_with_msg() {
  for _patch in "$@"
  do
    msg2 "Applying $_patch"
    patch -Nbp1 -i "${srcdir}/$_patch"
  done
}

prepare() {
  cd "${_realname}-${pkgver}"
  apply_patch_with_msg \
    aws-sdk-cpp-pr-1333.patch \
    0001-fix-dll-import-libary-folder.patch

  # For clang
  sed -e "s/-fPIC//g" -i cmake/compiler_settings.cmake

  find . -name "*.orig" -exec rm -f {} \;
}

build() {
  declare -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  mkdir -p "${srcdir}/build-${MSYSTEM}-static" && cd "${srcdir}/build-${MSYSTEM}-static"

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    ${MINGW_PREFIX}/bin/cmake.exe \
      -G "Ninja" \
      "${_extra_config[@]}" \
      -DBUILD_SHARED_LIBS=OFF \
      -DCMAKE_INSTALL_PREFIX="${MINGW_PREFIX}" \
      -DCMAKE_PREFIX_PATH="${MINGW_PREFIX}" \
      -DCMAKE_MODULE_PATH="${MINGW_PREFIX}"/lib/cmake \
      -DAWS_SDK_WARNINGS_ARE_ERRORS=OFF \
      -DBUILD_ONLY="access-management;config;identity-management;lambda;s3;sts;transfer" \
      -DENABLE_UNITY_BUILD=ON \
      -DENABLE_TESTING=OFF \
      -DBUILD_DEPS=OFF \
      -DPYTHON_EXECUTABLE=${MINGW_PREFIX}/bin/python \
      ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/cmake.exe --build ./

  mkdir -p "${srcdir}/build-${MSYSTEM}-shared" && cd "${srcdir}/build-${MSYSTEM}-shared"

  LDFLAGS+=" -Wl,--export-all-symbols" \
  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    ${MINGW_PREFIX}/bin/cmake.exe \
      -G "Ninja" \
      "${_extra_config[@]}" \
      -DBUILD_SHARED_LIBS=ON \
      -DCMAKE_INSTALL_PREFIX="${MINGW_PREFIX}" \
      -DCMAKE_PREFIX_PATH="${MINGW_PREFIX}" \
      -DCMAKE_MODULE_PATH="${MINGW_PREFIX}"/lib/cmake \
      -DAWS_SDK_WARNINGS_ARE_ERRORS=OFF \
      -DBUILD_ONLY="access-management;config;identity-management;lambda;s3;sts;transfer" \
      -DENABLE_UNITY_BUILD=ON \
      -DENABLE_TESTING=OFF \
      -DBUILD_DEPS=OFF \
      -DPYTHON_EXECUTABLE=${MINGW_PREFIX}/bin/python \
      ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/cmake.exe --build ./
}

package() {
  cd "${srcdir}/build-${MSYSTEM}-static"
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake.exe --install ./

  cd "${srcdir}/build-${MSYSTEM}-shared"
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake.exe --install ./

  cd "${srcdir}/${_realname}-${pkgver}"
  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE"
}
